Bug 984796 - (ghc-cookie) Review Request: ghc-cookie - HTTP cookie parsing and rendering
Review Request: ghc-cookie - HTTP cookie parsing and rendering
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ben Boeckel
Fedora Extras Quality Assurance
:
: 923578 (view as bug list)
Depends On:
Blocks: ghc-yesod-core yesod-platform
  Show dependency treegraph
 
Reported: 2013-07-16 00:29 EDT by Jens Petersen
Modified: 2013-08-01 23:38 EDT (History)
5 users (show)

See Also:
Fixed In Version: ghc-cookie-0.4.0.1-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:22:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mathstuf: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2013-07-16 00:29:54 EDT
Spec URL: http://petersen.fedorapeople.org//ghc-cookie.spec
SRPM URL: http://petersen.fedorapeople.org//ghc-cookie-0.4.0.1-1.fc19.src.rpm

Description:
HTTP cookie parsing and rendering.
Comment 1 Jens Petersen 2013-07-16 00:30:00 EDT
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=5611515
Comment 2 Jens Petersen 2013-07-16 00:30:24 EDT
*** Bug 923578 has been marked as a duplicate of this bug. ***
Comment 3 Ben Boeckel 2013-07-17 23:12:28 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Static libraries in -static subpackage, if present.
  Note: Archive *.a files found in ghc-cookie-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries


===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package does not contain duplicates in %files.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 133120 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Packager: Ben Boeckel <mathstuf@gmail.com>
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: ghc-cookie-0.4.0.1-1.fc20.x86_64.rpm
          ghc-cookie-devel-0.4.0.1-1.fc20.x86_64.rpm
          ghc-cookie-0.4.0.1-1.fc19.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
ghc-cookie-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(cookie-0.4.0.1-51d90a838281d31d62356a911dafe97d)
    ghc-compiler
    ghc-cookie(x86-64)
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc-devel(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc-devel(data-default-0.5.1-3dcf8b1e18d6ff182bcfe57129991c1d)
    ghc-devel(old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-devel(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)

ghc-cookie (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(blaze-builder-0.3.1.1-71a2ae53eb5daf9e6673db8b47b3b6b5)
    ghc(bytestring-0.10.0.2-4f93248f75667c2c3321a7a6761b576f)
    ghc(data-default-0.5.1-3dcf8b1e18d6ff182bcfe57129991c1d)
    ghc(old-locale-1.0.0.5-6729cb9d9cc62d150655de8fc5401b91)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc(time-1.4.0.1-10dc4804a19dc0000fab79908f1a9f50)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSblaze-builder-0.3.1.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHScontainers-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSdata-default-0.5.1-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSdlist-0.5-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHSold-locale-1.0.0.5-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libHStime-1.4.0.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)



Provides
--------
ghc-cookie-devel:
    ghc-cookie-devel
    ghc-cookie-devel(x86-64)
    ghc-devel(cookie-0.4.0.1-51d90a838281d31d62356a911dafe97d)

ghc-cookie:
    ghc(cookie-0.4.0.1-51d90a838281d31d62356a911dafe97d)
    ghc-cookie
    ghc-cookie(x86-64)
    libHScookie-0.4.0.1-ghc7.6.3.so()(64bit)



Unversioned so-files
--------------------
ghc-cookie: /usr/lib64/ghc-7.6.3/cookie-0.4.0.1/libHScookie-0.4.0.1-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/packages/archive/cookie/0.4.0.1/cookie-0.4.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : 73967e5d4a0fe43248db582ace5f0f4cb8c7085748ea90e1dc312f3e137e6506
  CHECKSUM(SHA256) upstream package : 73967e5d4a0fe43248db582ace5f0f4cb8c7085748ea90e1dc312f3e137e6506


Generated by fedora-review 0.4.0 (b80cd0f) last change: 2013-07-09
Buildroot used: fedora-rawhide-x86_64
Command line :/home/boeckb/.local/bin/try-fedora-review -n ghc-cookie --no-build --cache --prebuilt --rpm-spec
Comment 4 Jens Petersen 2013-07-17 23:56:08 EDT
Thank you for the review!

(For the record the rpmlint is empty - dunno
if "can't parse" above is a fedora-review bug?)


New Package SCM Request
=======================
Package Name: ghc-cookie
Short Description: HTTP cookie parsing and rendering
Owners: petersen
Branches: f19 f18 el6
InitialCC: haskell-sig
Comment 5 Gwyn Ciesla 2013-07-18 08:02:19 EDT
Git done (by process-git-requests).
Comment 6 Jens Petersen 2013-07-19 01:52:26 EDT
committed to master
Comment 7 Fedora Update System 2013-07-20 08:57:16 EDT
ghc-cookie-0.4.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-cookie-0.4.0.1-1.fc18
Comment 8 Fedora Update System 2013-07-20 08:57:28 EDT
ghc-cookie-0.4.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-cookie-0.4.0.1-1.fc19
Comment 9 Fedora Update System 2013-07-21 20:27:13 EDT
ghc-cookie-0.4.0.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-08-01 23:22:07 EDT
ghc-cookie-0.4.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-08-01 23:38:34 EDT
ghc-cookie-0.4.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.